Skip to main content
POST
/
api
/
v1
/
list-bill-transaction
List Transactions
curl --request POST \
  --url https://sandbox-biller-b2b.singapay.id/api/v1/list-bill-transaction \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-PARTNER-ID: <x-partner-id>' \
  --data '
{
  "command": "list-bill-transaction",
  "data": {
    "transaction_id": "<string>",
    "customer_id": "<string>",
    "start_date": "2025-06-01",
    "end_date": "2025-06-01",
    "page": "1"
  }
}
'
{
  "command": "list-bill-transaction",
  "response_code": "00",
  "response_text": "Operation completed successfully",
  "data": {
    "bill_transactions": [
      {
        "transaction_id": "01JXCQMCF879HYR72P4PJFBVRZ",
        "reference_number": "SPTKMSF2G30RJBL0096284584861749552869",
        "customer_id": "082291501085",
        "transaction_type": "prepaid",
        "status": "pending",
        "inquired_at": "2025-06-10 16:43:22",
        "paid_at": "2025-06-10 17:54:29",
        "net_price": "32500",
        "display_price": {
          "amount": "100000",
          "price": "102500"
        },
        "other_info": {},
        "created_at": "2025-06-10 10:54:29",
        "product": {
          "code": "SPTKMSF2G30",
          "name": "Telkomsel Data Flash 2GB 30hr"
        }
      }
    ],
    "pagination": {
      "current_page": 1,
      "last_page": 5,
      "per_page": 10,
      "total": 50
    }
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from /api/v1.0/access-token/b2b

Headers

X-PARTNER-ID
string
required

Merchant API key

Accept
string
default:Application/json
required

Body

application/json
command
enum<string>
required
Available options:
list-bill-transaction
Example:

"list-bill-transaction"

data
object | null

Optional filters

Response

Transaction list retrieved successfully

command
string
Example:

"list-bill-transaction"

response_code
string
Example:

"00"

response_text
string
Example:

"Operation completed successfully"

data
object